Skip to main content
GET
/
v1
/
mocks
/
scenarios
/
{scenario_id}
Get a scenario
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/mocks/scenarios/{scenario_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "mock_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "priority": 123,
  "match_method": "<string>",
  "match_path_pattern": "<string>",
  "match_headers": {},
  "match_query": {},
  "match_body": {},
  "response_status": 123,
  "response_headers": {},
  "response_body": {},
  "delay_ms": 123,
  "is_enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

scenario_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
mock_id
string<uuid>
required
name
string
required
priority
integer
required
match_method
string
required
match_path_pattern
string | null
required
match_headers
Match Headers · object
required
match_query
Match Query · object
required
match_body
Match Body · object
required
response_status
integer
required
response_headers
Response Headers · object
required
response_body
required
delay_ms
integer
required
is_enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required